# Class DocNames

java.lang.Object
uk.ac.starlink.ttools.gui.DocNames

public class DocNames extends Object
Static methods to give the locations of run-time javadocs. This class provides a central repository for knowledge about the naming of the files/resources which contain the javadoc information needed at runtime (classes accessible within JEL).

Since:
  2 Sep 2004
Author:
  Mark Taylor (Starlink)

## Field Summary

Fields
Modifier and Type
Field
Description
`static final char`
`ARRAY_SUFFIX`
Character used in resource names to indicate an array dimension.
`static final char`
`TOKEN_SEPARATOR`
Character used in resource names to separate tokens giving classnames and array types.

## Constructor Summary

Constructors
Constructor
Description
`DocNames()`

## Method Summary

Modifier and Type
Method
Description
`static URL`
`docURL(Object obj)`
Returns the URL which points to the documentation object for a given object, or null if none can be found.
`static String`
`typeNameToWord(String typeName)`
Maps a type name to a word that will be used as a token in a document resource name.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ARRAY_SUFFIX

public static final char ARRAY_SUFFIX
Character used in resource names to indicate an array dimension. Appended after the type name.

See Also:
  - Constant Field Values

### TOKEN_SEPARATOR

public static final char TOKEN_SEPARATOR
Character used in resource names to separate tokens giving classnames and array types.

See Also:
  - Constant Field Values

## Constructor Details

### DocNames

public DocNames()

## Method Details

### docURL

public static URL docURL(Object obj)
Returns the URL which points to the documentation object for a given object, or null if none can be found. Currently, Classes, Fields, Methods and Headings are known about.

Parameters:
  `obj` - object to be documented
Returns:
  URL of doc file (probably HTML)

### typeNameToWord

public static String typeNameToWord(String typeName)
Maps a type name to a word that will be used as a token in a document resource name.

Parameters:
  `typeName` - type name, for instance class name or primitive name
Returns:
  word for use in resource name